CRAN Package Check Results for Package plotly

Last updated on 2019-04-22 18:47:17 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 4.9.0 14.39 253.17 267.56 OK
r-devel-linux-x86_64-debian-gcc 4.9.0 13.60 223.77 237.37 OK
r-devel-linux-x86_64-fedora-clang 4.9.0 264.47 NOTE
r-devel-linux-x86_64-fedora-gcc 4.9.0 232.80 OK
r-devel-windows-ix86+x86_64 4.9.0 34.00 206.00 240.00 NOTE
r-patched-linux-x86_64 4.9.0 14.33 230.94 245.27 OK
r-patched-solaris-x86 4.9.0 298.20 ERROR
r-release-linux-x86_64 4.9.0 11.52 234.84 246.36 OK
r-release-windows-ix86+x86_64 4.9.0 20.00 221.00 241.00 NOTE
r-release-osx-x86_64 4.9.0 ERROR
r-oldrel-windows-ix86+x86_64 4.9.0 17.00 226.00 243.00 NOTE
r-oldrel-osx-x86_64 4.8.0 ERROR

Check Details

Version: 4.9.0
Check: installed package size
Result: NOTE
     installed size is 6.4Mb
     sub-directories of 1Mb or more:
     htmlwidgets 3.4Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-ix86+x86_64, r-patched-solaris-x86, r-release-windows-ix86+x86_64, r-release-osx-x86_64, r-oldrel-windows-ix86+x86_64

Version: 4.9.0
Check: examples
Result: ERROR
    Running examples in ‘plotly-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: partial_bundle
    > ### Title: Use a partial bundle of plotly.js
    > ### Aliases: partial_bundle
    >
    > ### ** Examples
    >
    >
    > # ----------------------------------------------------------------------
    > # This function is always safe to use when rendering a single
    > # plotly graph. In this case, we get a 3x file reduction.
    > # ----------------------------------------------------------------------
    >
    > library(plotly)
    > p <- plot_ly(x = 1:10, y = 1:10) %>% add_markers()
    > save_widget <- function(p, f) {
    + owd <- setwd(dirname(f))
    + on.exit(setwd(owd))
    + htmlwidgets::saveWidget(p, f)
    + mb <- round(file.info(f)$size / 1e6, 3)
    + message("File is: ", mb," MB")
    + }
    > f1 <- tempfile(fileext = ".html")
    > f2 <- tempfile(fileext = ".html")
    > save_widget(p, f1)
    Error in htmlwidgets::saveWidget(p, f) :
     Saving a widget with selfcontained = TRUE requires pandoc. For details see:
    https://github.com/rstudio/rmarkdown/blob/master/PANDOC.md
    Calls: save_widget -> <Anonymous>
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64

Version: 4.8.0
Check: installed package size
Result: NOTE
     installed size is 5.2Mb
     sub-directories of 1Mb or more:
     htmlwidgets 3.1Mb
Flavor: r-oldrel-osx-x86_64

Version: 4.8.0
Check: examples
Result: ERROR
    Running examples in ‘plotly-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: partial_bundle
    > ### Title: Use a partial bundle of plotly.js
    > ### Aliases: partial_bundle
    >
    > ### ** Examples
    >
    >
    > # ----------------------------------------------------------------------
    > # This function is always safe to use when rendering a single
    > # plotly graph. In this case, we get a 3x file reduction.
    > # ----------------------------------------------------------------------
    >
    > library(plotly)
    > p <- plot_ly(x = 1:10, y = 1:10) %>% add_markers()
    > save_widget <- function(p, f) {
    + owd <- setwd(dirname(f))
    + on.exit(setwd(owd))
    + htmlwidgets::saveWidget(p, f)
    + mb <- round(file.info(f)$size / 1e6, 3)
    + message("File is: ", mb," MB")
    + }
    > f1 <- tempfile(fileext = ".html")
    > f2 <- tempfile(fileext = ".html")
    > save_widget(p, f1)
    Error in htmlwidgets::saveWidget(p, f) :
     Saving a widget with selfcontained = TRUE requires pandoc. For details see:
    https://github.com/rstudio/rmarkdown/blob/master/PANDOC.md
    Calls: save_widget -> <Anonymous>
    Execution halted
Flavor: r-oldrel-osx-x86_64